import { MatDialog, MatDialogRef } from '@angular/material/dialog';
import { EuiDialogComponent } from '../eui-dialog.component';
import { EuiDialogConfig } from '../models/dialog.config.model';
import * as i0 from "@angular/core";
export declare class EuiDialogService {
    dialog: MatDialog;
    constructor(dialog: MatDialog);
    openDialog(config: EuiDialogConfig): MatDialogRef<EuiDialogComponent, any>;
    closeDialog(dialog: MatDialogRef<any>): void;
    closeAllDialog(): void;
    static ɵfac: i0.ɵɵFactoryDef<EuiDialogService, never>;
    static ɵprov: i0.ɵɵInjectableDef<EuiDialogService>;
}
